<?php
/**
 * The edit view file of makeup module of ZDOO.
 *
 * @copyright   Copyright 2009-2018 青岛易软天创网络科技有限公司(QingDao Nature Easy Soft Network Technology Co,LTD, www.cnezsoft.com)
 * @license     ZPL (http://zpl.pub/page/zplv12.html)
 * @author      Tingting Dai <daitingting@xirangit.com>
 * @package     makeup
 * @version     $Id$
 * @link        http://www.zdoo.com
 */
?>
<?php include '../../../sys/common/view/header.modal.html.php';?>
<form id='ajaxForm' method='post' action="<?php echo $this->createLink('oa.makeup', 'edit', "id=$makeup->id")?>">
  <table class='table table-form'>
    <tr>
      <th class='w-60px'></th>
      <td>
        <div id='timePrompt' class='alert alert-warning no-margin'></div>
      </td>
    </tr>
    <tr>
      <th class='w-60px'><?php echo $lang->makeup->status;?></th>
      <td class='text-warning'><?php echo $lang->makeup->statusList[$makeup->status];?></td>
    </tr>
    <tr>
      <th><?php echo $lang->makeup->begin?></th>
      <td>
        <div class='input-group'>
          <span class='input-group-addon'><?php echo $lang->makeup->date?></span>
          <?php echo html::input('begin', $makeup->begin, "class='form-control form-date date-picker-down'")?>
          <span class='input-group-addon '><?php echo $lang->makeup->time?></span>
          <?php echo html::input('start', $makeup->start, "class='form-control form-time date-picker-down'")?>
        </div>
      </td>
    </tr>
    <tr>
      <th><?php echo $lang->makeup->end?></th>
      <td>
        <div class='input-group'>
          <span class='input-group-addon'><?php echo $lang->makeup->date?></span>
          <?php echo html::input('end', $makeup->end, "class='form-control form-date date-picker-down'")?>
          <span class='input-group-addon '><?php echo $lang->makeup->time?></span>
          <?php echo html::input('finish', $makeup->finish, "class='form-control form-time date-picker-down'")?>
        </div>
      </td>
    </tr>
    <tr>
      <th><?php echo $lang->makeup->hours?></th>
      <td>
        <div class='input-group'>
          <?php echo html::input('hours', $makeup->hours, "class='form-control' readonly")?>
          <span class='input-group-addon'><?php echo $lang->makeup->hoursTip?></span>
        </div>
      </td>
    </tr>
    <tr>
      <th><?php echo $lang->makeup->desc?></th>
      <td><?php echo html::textarea('desc', $makeup->desc, "class='form-control'")?></td>
    </tr>
    <tr>
      <th></th>
      <td class='form-actions'><?php echo html::submitButton();?></td>
    </tr>
  </table>
</form>
<?php include '../../../sys/common/view/footer.modal.html.php';?>
